JITRuntime (Jython API documentation)
Date: 2022-09-10

org.python.modules.jffi

## Class JITRuntime

- java.lang.Object
- - org.python.modules.jffi.JITRuntime

-     public final class JITRuntime
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `boolValue32(PyObject parameter)`
    `static long` | `boolValue64(PyObject parameter)`
    `static int` | `f32Value32(PyObject parameter)`
    `static long` | `f32Value64(PyObject parameter)`
    `static long` | `f64Value64(PyObject parameter)`
    `static PyObject` | `newBoolean(int value)`
    `static PyObject` | `newBoolean(long value)`
    `static PyObject` | `newFloat32(int value)`
    `static PyObject` | `newFloat32(long value)`
    `static PyObject` | `newFloat64(long value)`
    `static PyObject` | `newNone(int unused)`
    `static PyObject` | `newNone(long unused)`
    `static PyObject` | `newPointer32(int value)`
    `static PyObject` | `newPointer32(long value)`
    `static PyObject` | `newPointer64(long value)`
    `static PyObject` | `newSigned16(int value)`
    `static PyObject` | `newSigned16(long value)`
    `static PyObject` | `newSigned32(int value)`
    `static PyObject` | `newSigned32(long value)`
    `static PyObject` | `newSigned64(int value)`
    `static PyObject` | `newSigned64(long value)`
    `static PyObject` | `newSigned8(int value)`
    `static PyObject` | `newSigned8(long value)`
    `static PyObject` | `newString(int address)`
    `static PyObject` | `newString(long address)`
    `static PyObject` | `newUnsigned16(int value)`
    `static PyObject` | `newUnsigned16(long value)`
    `static PyObject` | `newUnsigned32(int value)`
    `static PyObject` | `newUnsigned32(long value)`
    `static PyObject` | `newUnsigned64(long value)`
    `static PyObject` | `newUnsigned8(int value)`
    `static PyObject` | `newUnsigned8(long value)`
    `static int` | `pointerValue32(PyObject ptr)`
    `static long` | `pointerValue64(PyObject ptr)`
    `static int` | `s16Value32(PyObject parameter)`
    `static long` | `s16Value64(PyObject parameter)`
    `static int` | `s32Value32(PyObject parameter)`
    `static long` | `s32Value64(PyObject parameter)`
    `static long` | `s64Value64(PyObject parameter)`
    `static int` | `s8Value32(PyObject parameter)`
    `static long` | `s8Value64(PyObject parameter)`
    `static int` | `u16Value32(PyObject parameter)`
    `static long` | `u16Value64(PyObject parameter)`
    `static int` | `u32Value32(PyObject parameter)`
    `static long` | `u32Value64(PyObject parameter)`
    `static long` | `u64Value64(PyObject parameter)`
    `static int` | `u8Value32(PyObject parameter)`
    `static long` | `u8Value64(PyObject parameter)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### pointerValue32

          public static int pointerValue32(PyObject ptr)

    - #### pointerValue64

          public static long pointerValue64(PyObject ptr)

    - #### boolValue32

          public static int boolValue32(PyObject parameter)

    - #### boolValue64

          public static long boolValue64(PyObject parameter)

    - #### s8Value32

          public static int s8Value32(PyObject parameter)

    - #### s8Value64

          public static long s8Value64(PyObject parameter)

    - #### u8Value32

          public static int u8Value32(PyObject parameter)

    - #### u8Value64

          public static long u8Value64(PyObject parameter)

    - #### s16Value32

          public static int s16Value32(PyObject parameter)

    - #### s16Value64

          public static long s16Value64(PyObject parameter)

    - #### u16Value32

          public static int u16Value32(PyObject parameter)

    - #### u16Value64

          public static long u16Value64(PyObject parameter)

    - #### s32Value32

          public static int s32Value32(PyObject parameter)

    - #### s32Value64

          public static long s32Value64(PyObject parameter)

    - #### u32Value32

          public static int u32Value32(PyObject parameter)

    - #### u32Value64

          public static long u32Value64(PyObject parameter)

    - #### s64Value64

          public static long s64Value64(PyObject parameter)

    - #### u64Value64

          public static long u64Value64(PyObject parameter)

    - #### f32Value32

          public static int f32Value32(PyObject parameter)

    - #### f32Value64

          public static long f32Value64(PyObject parameter)

    - #### f64Value64

          public static long f64Value64(PyObject parameter)

    - #### newSigned8

          public static PyObject newSigned8(int value)

    - #### newSigned8

          public static PyObject newSigned8(long value)

    - #### newUnsigned8

          public static PyObject newUnsigned8(int value)

    - #### newUnsigned8

          public static PyObject newUnsigned8(long value)

    - #### newSigned16

          public static PyObject newSigned16(int value)

    - #### newSigned16

          public static PyObject newSigned16(long value)

    - #### newUnsigned16

          public static PyObject newUnsigned16(int value)

    - #### newUnsigned16

          public static PyObject newUnsigned16(long value)

    - #### newSigned32

          public static PyObject newSigned32(int value)

    - #### newSigned32

          public static PyObject newSigned32(long value)

    - #### newUnsigned32

          public static PyObject newUnsigned32(int value)

    - #### newUnsigned32

          public static PyObject newUnsigned32(long value)

    - #### newSigned64

          public static PyObject newSigned64(int value)

    - #### newSigned64

          public static PyObject newSigned64(long value)

    - #### newUnsigned64

          public static PyObject newUnsigned64(long value)

    - #### newFloat32

          public static PyObject newFloat32(int value)

    - #### newFloat32

          public static PyObject newFloat32(long value)

    - #### newFloat64

          public static PyObject newFloat64(long value)

    - #### newBoolean

          public static PyObject newBoolean(int value)

    - #### newBoolean

          public static PyObject newBoolean(long value)

    - #### newNone

          public static PyObject newNone(int unused)

    - #### newNone

          public static PyObject newNone(long unused)

    - #### newPointer32

          public static PyObject newPointer32(int value)

    - #### newPointer32

          public static PyObject newPointer32(long value)

    - #### newPointer64

          public static PyObject newPointer64(long value)

    - #### newString

          public static PyObject newString(int address)

    - #### newString

          public static PyObject newString(long address)

Jython homepage